#include "enemy.h"
#include "game.h"


enemy::enemy(void){
}


enemy::enemy(int x, int y, const char* img)
{
	position.x = x;
	position.y = y;
	position.w = 60;
	position.h = 60;
	image = LoadImage(img);
	speed = 2;
	time = SDL_GetTicks();
}


enemy::~enemy(void)
{
	//have to otherwise image wont display, yet draw will still get called
	if(done){
		SDL_FreeSurface(image);
	}
}

void enemy::update(){
	//gets called, everything gets updated just fine
	if((SDL_GetTicks() - time) > 200){
		time = SDL_GetTicks();
		position.y += speed;
	}
}

void enemy::draw(){
	update();
	SDL_BlitSurface(image, NULL, screen, &position);
}
