#ifndef GAME_H
#define GAME_H

#include "SDL.h"
#include <iostream>
#include "player.h"
#include "enemy.h"
#include <list>

using namespace std;
//////////////////////////////Definitions
const int SCREEN_WIDTH = 800; //screen dimesions
const int SCREEN_HEIGHT = 600;
const int SCREEN_BPP = 32;// screen color depth
extern SDL_Surface* screen;
extern bool done;
extern SDL_Event event;
extern Uint8* keys;
extern player* p;
extern list<enemy> e;
///////////////////////////User functions
SDL_Surface* LoadImage(const char* path);
bool Initialize();
//testing
void applyMap(int map[9][12], SDL_Surface* s);
void recieveInput();
void draw();
//testing
void createEnemy(int x, int y, const char* path);
#endif