#include "player.h"
#include "game.h"

player::player(){
}


player::player(int x, int y, const char* path)
{
	position.x = x;
	position.y = y;
	position.w = 60;
	position.h = 60;
	image = LoadImage(path);
	speed = 10;
}


player::~player(void)
{
	SDL_FreeSurface(image);
}


void player::draw(){
	SDL_BlitSurface(image, NULL, screen, &position);
}


void player::keyDown(Uint8 *key){
	/*if(k == SDLK_DOWN || k == SDLK_s){
		position.y += speed;
	}
	if(k == SDLK_UP || k == SDLK_w){
		position.y -= speed;
	}*/
	if(key[SDLK_RIGHT] || key[SDLK_d]){
		position.x += speed;
	}
	if(key[SDLK_LEFT] || key[SDLK_a]){
		position.x -= speed;
	}
	if(position.x + 60 > SCREEN_WIDTH){
		position.x = SCREEN_WIDTH - 60;
	}
	if(position.x < 0){
		position.x = 0;
	}
}